"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const jsxRuntime = require("react/jsx-runtime");
const React = require("react");
const Box = require("../../node_modules/.pnpm/@mantine_core@7.17.8_patch_hash_3qirwkgu3wxhvd6hnr2gb24yzq_@mantine_hooks@7.17.8_react@18.3.1_e5yvlgwhmeykc75dkphi7jou6q/node_modules/@mantine/core/esm/core/Box/Box.cjs");
const IconHeartRounded = (props, ref) => {
  return /* @__PURE__ */ jsxRuntime.jsx(
    "svg",
    {
      width: "1em",
      height: "1em",
      viewBox: "0 0 16 16",
      fill: "none",
      xmlns: "http://www.w3.org/2000/svg",
      strokeWidth: "1.5",
      ref,
      ...props,
      children: /* @__PURE__ */ jsxRuntime.jsx(
        "path",
        {
          d: "M10.7408 2C13.0889 2 14.6667 4.235 14.6667 6.32C14.6667 10.5425 8.11853 14 8.00001 14C7.88149 14 1.33334 10.5425 1.33334 6.32C1.33334 4.235 2.91112 2 5.25927 2C6.60742 2 7.4889 2.6825 8.00001 3.2825C8.51112 2.6825 9.3926 2 10.7408 2Z",
          stroke: "currentColor",
          strokeLinecap: "round",
          strokeLinejoin: "round",
          strokeWidth: "inherit"
        }
      )
    }
  );
};
const ForwardRef = React.forwardRef(IconHeartRounded);
const HeartRounded = React.forwardRef((props, ref) => {
  if (typeof props.size === "number") {
    const { size, ...rest } = props;
    props = {
      ...rest,
      w: size,
      h: size
    };
  }
  return /* @__PURE__ */ jsxRuntime.jsx(
    Box.Box,
    {
      ref,
      ...props,
      component: ForwardRef,
      className: ["tiui-icon", "HeartRounded", props.className].join(" ")
    }
  );
});
HeartRounded.displayName = "IconHeartRounded";
exports.default = HeartRounded;
